Get vote request details
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/governance/vote-requests/{id}/details \
--header 'x-api-key: <api-key>'{
"contractId": "<string>",
"templateId": "<string>",
"createdEventBlob": "<string>",
"createdAt": 123,
"dso": "<string>",
"voteBefore": 123,
"targetEffectiveAt": 123,
"requester": "<string>",
"trackingCid": "<string>",
"reasonUrl": "<string>",
"reasonBody": "<string>",
"actionConfig": {},
"actionProvider": "<string>",
"status": "<string>",
"yesCount": 123,
"noCount": 123,
"abstainCount": 123,
"totalWeightYes": 123,
"totalWeightNo": 123,
"totalWeightAbstain": 123,
"rawPayload": {},
"requesterName": "<string>",
"requesterImg": "<string>"
}Governance
Get vote request details
Retrieve detailed information about a specific vote request
GET
/
v1
/
governance
/
vote-requests
/
{id}
/
details
Get vote request details
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/governance/vote-requests/{id}/details \
--header 'x-api-key: <api-key>'{
"contractId": "<string>",
"templateId": "<string>",
"createdEventBlob": "<string>",
"createdAt": 123,
"dso": "<string>",
"voteBefore": 123,
"targetEffectiveAt": 123,
"requester": "<string>",
"trackingCid": "<string>",
"reasonUrl": "<string>",
"reasonBody": "<string>",
"actionConfig": {},
"actionProvider": "<string>",
"status": "<string>",
"yesCount": 123,
"noCount": 123,
"abstainCount": 123,
"totalWeightYes": 123,
"totalWeightNo": 123,
"totalWeightAbstain": 123,
"rawPayload": {},
"requesterName": "<string>",
"requesterImg": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.modo.link/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Vote Request ID
Response
200 - */*
OK
⌘I